#def test_import_packages():
#    """Test that importing our package works."""
#    import guides
#    from guides import NoGuidance
"""
def test_import_packages():
    import guides
    print(f"guides module: {guides}")
    print(f"guides.__file__: {guides.__file__}")
    print(f"dir(guides): {dir(guides)}")
    
    # Try to see what's in guides
    if hasattr(guides, 'NoGuidance'):
        print("NoGuidance found in guides")
    else:
        print("NoGuidance NOT found in guides")
    
    from guides import NoGuidance
"""
"""
def test_import_packages():
    import guides.simple
    from guides.simple import NoGuidance
    print("Direct import works")

    import guides
    from guides import NoGuidance
    print("Package import works")
"""
def test_import_packages():
    """Test that importing our package works."""
    import sys

    # Check if we can import simple.py directly
    try:
        import guides.simple
        print("✓ guides.simple imported successfully")
        print(f"NoGuidance in guides.simple: {hasattr(guides.simple, 'NoGuidance')}")
        if hasattr(guides.simple, 'NoGuidance'):
            print(f"NoGuidance class: {guides.simple.NoGuidance}")
    except Exception as e:
        print(f"✗ Error importing guides.simple: {e}")
        import traceback
        traceback.print_exc()

    # Check if we can import NoGuidance directly from simple
    try:
        from guides.simple import NoGuidance as NG
        print("✓ NoGuidance imported directly from guides.simple")
        print(f"NoGuidance class: {NG}")
    except Exception as e:
        print(f"✗ Error importing NoGuidance from guides.simple: {e}")
        import traceback
        traceback.print_exc()

    # Now check what happens when we import guides
    try:
        import guides
        print(f"✓ guides imported, dir: {dir(guides)}")

        # Let's manually execute what should happen in __init__.py
        print("Manually executing: from guides.simple import NoGuidance")
        exec("from guides.simple import NoGuidance", guides.__dict__)
        print(f"After manual exec, dir(guides): {dir(guides)}")

    except Exception as e:
        print(f"✗ Error with guides: {e}")
        import traceback
        traceback.print_exc()
